=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>

pkgname=libglacierapp
pkgver=0.9
pkgrel=2
pkgdesc="Glacier Application library"
arch=('x86_64')
url="https://github.com/nemomobile-ux/libglacierapp"
license=('LGPL')
depends=('mlite' 'qt5-declarative')
makedepends=('cmake')
source=("https://github.com/nemomobile-ux/libglacierapp/archive/$pkgver/$pkgname-$pkgver.tar.gz")
sha512sums=('03b3c761f6e3d7c283f1acfab5de7441df33610df6c349172667c6d0e9ea032675280f12f6ca3861fb143708da1e7618b6fd08bfac596d7988d45c575b711963')

build(){
  cd $pkgname-$pkgver

  cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_INSTALL_LIBDIR=/usr/lib .
  make
}

package() {
  cd $pkgname-$pkgver
  make DESTDIR="$pkgdir" install
}
